Bug 1299263 - Graphics corruption on Login Screen and then fixes itself after gnome loads (Ati X1250)
Graphics corruption on Login Screen and then fixes itself after gnome loads (...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 18:51 EST by otheos
Modified: 2016-12-20 12:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:58:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture of log in stand by. (591.10 KB, image/jpeg)
2016-01-17 18:51 EST, otheos
no flags Details
Picture of desktop after log in (537.88 KB, image/jpeg)
2016-01-17 18:52 EST, otheos
no flags Details
Corrupted activities bar (379.83 KB, image/jpeg)
2016-01-17 18:52 EST, otheos
no flags Details
Corrupt desktop and activity bar (294.87 KB, image/jpeg)
2016-01-17 18:53 EST, otheos
no flags Details
Corruption gone after gnome windows are loaded. (368.89 KB, image/jpeg)
2016-01-17 18:54 EST, otheos
no flags Details
Some fonts still corrupt. This can be fixed once I change fonts rendering to High from Medium, but comes back if I set it back to medium. (657.01 KB, image/jpeg)
2016-01-17 18:55 EST, otheos
no flags Details

  None (edit)
Description otheos 2016-01-17 18:51:15 EST
Created attachment 1115671 [details]
Picture of log in stand by.

Description of problem:
I run an Athlon X2 4800+ on an 690G board (ATI x1250 onboard graphics). You can see from the pictures the corruption is very peculiar. 

Even more interesting is the fact that once I log in, all the windows (apps) that open are absolutely fine (not corrupted) and soon enough the whole screen becomes uncorrupt. I need to reload the bg image though.

Also the text seems to stay corrupted (check detail on bar). I can change the font rendering from Medium to Light or High and it goes away (grayscale) but comes back with medium. If I change it rgb it goes away.


Version-Release number of selected component (if applicable):


How reproducible:
Every boot


Steps to Reproduce:
1. Boot computer
2. View log in screen
3. Login to Gnome (not Classic)

Actual results:
Corruption of graphics with triangles missing from parts of the display. Fonts also corrupted


Expected results:
Clear picture with complete graphics


Additional info:
Comment 1 otheos 2016-01-17 18:52 EST
Created attachment 1115672 [details]
Picture of desktop after log in
Comment 2 otheos 2016-01-17 18:52 EST
Created attachment 1115673 [details]
Corrupted activities bar
Comment 3 otheos 2016-01-17 18:53 EST
Created attachment 1115674 [details]
Corrupt desktop and activity bar
Comment 4 otheos 2016-01-17 18:54 EST
Created attachment 1115675 [details]
Corruption gone after gnome windows are loaded.
Comment 5 otheos 2016-01-17 18:55 EST
Created attachment 1115676 [details]
Some fonts still corrupt. This can be fixed once I change fonts rendering to High from Medium, but comes back if I set it back to medium.
Comment 6 Fedora End Of Life 2016-11-24 10:00:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 12:58:07 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.